curl --request POST \
--url https://api.avidoai.com/v0/documents/tests/trigger \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>' \
--data '
{
"type": "KNOWLEDGE_COVERAGE"
}
'{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"orgId": "org_123456",
"type": "KNOWLEDGE_COVERAGE",
"status": "PENDING",
"results": null,
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z"
}
}Creates and triggers a document test execution. For KNOWLEDGE_COVERAGE and DOCS_TO_TASKS_MAPPING, applicationId is required.
curl --request POST \
--url https://api.avidoai.com/v0/documents/tests/trigger \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>' \
--data '
{
"type": "KNOWLEDGE_COVERAGE"
}
'{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"orgId": "org_123456",
"type": "KNOWLEDGE_COVERAGE",
"status": "PENDING",
"results": null,
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z"
}
}Your unique Avido API key
Your unique Avido Application ID
Request body for triggering a document test execution
Type of document test
KNOWLEDGE_COVERAGE, MECE, DOCS_TO_TASKS_MAPPING "KNOWLEDGE_COVERAGE"
Document test triggered successfully
Successful response containing document test data
A document test execution for evaluating knowledge base quality (MECE, Coverage, etc.)
Show child attributes